.carousel {
  overflow: hidden;
  position: relative;

  &__viewport {
    position: absolute;
    height: 300px;
  }

  &__item {
    animation-name: fade;
    animation-duration: 1s;
  }

  &__controls {
    cursor: pointer;
    background: rgba(0, 0, 0, 0);
    position: absolute;
    height: 100%;
    width: 50px;
    color: #fff;
    z-index: 2;
    transition: 0.6s ease;

    border: 0;
    outline: 0;

    &:focus {
      border: none;
      outline: 0;
    }

    &:hover {
      background: rgba(40, 44, 52, 0.3);
    }

    &_right {
      right: 0;
    }
  }

  &__arrow {
    top: 50%;
    margin-top: -8px;
  }

  @keyframes fade {
    from {
      opacity: .4;
    }
    to {
      opacity: 1;
    }
  }
}
